LP#1392759 developer/packager Makefile.install targets
[working/Evergreen.git] / Open-ILS / src / extras / install / Makefile.ubuntu-trusty
1 # install files for Ubuntu 14.04 LTS Trusty Tahr
2
3 DIR = $(dir $(lastword $(MAKEFILE_LIST)))
4
5 export DEB_PGSQL_COMMON_MODS = \
6         gcc \
7         libbusiness-isbn-perl \
8         libjson-xs-perl \
9         liblibrary-callnumber-lc-perl \
10         libmarc-record-perl \
11         libmarc-xml-perl \
12         librose-uri-perl \
13         libuuid-tiny-perl \
14         libxml-libxml-perl \
15         libxml-libxslt-perl
16
17 export DEBS = \
18         $(DEB_PGSQL_COMMON_MODS) \
19         apache2-prefork-dev\
20         aspell\
21         aspell-en\
22         libbusiness-creditcard-perl\
23         libbusiness-edi-perl \
24         libbusiness-isbn-data-perl\
25         libbusiness-issn-perl\
26         libbusiness-onlinepayment-authorizenet-perl\
27         libbusiness-onlinepayment-perl\
28         libdate-manip-perl\
29         libdatetime-format-builder-perl\
30         libdatetime-format-iso8601-perl\
31         libdatetime-format-mail-perl\
32         libdatetime-perl\
33         libdatetime-set-perl\
34         libdatetime-timezone-perl\
35         libdbd-pg-perl\
36         libdbd-pgsql \
37         libdbi-dev \
38         libemail-send-perl\
39         libemail-simple-perl\
40         libexcel-writer-xlsx-perl\
41         libgd-graph3d-perl\
42         liblocale-maketext-lexicon-perl\
43         liblog-log4perl-perl\
44         libmarc-charset-perl \
45         libncurses5-dev\
46         libnet-https-any-perl \
47         libnet-ip-perl\
48         libnet-ldap-perl \
49         libnet-server-perl\
50         libnet-ssh2-perl\
51         libnet-z3950-simple2zoom-perl\
52         libnet-z3950-simpleserver-perl\
53         libnet-z3950-zoom-perl \
54         libnspr4-dev\
55         libole-storage-lite-perl\
56         libbz2-dev \
57         libpq5\
58         libpq-dev\
59         librpc-xml-perl\
60         libsru-perl\
61         libssh2-1-dev\
62         libtemplate-plugin-posix-perl\
63         libtest-output-perl\
64         libtext-aspell-perl\
65         libtext-csv-perl\
66         libuniversal-require-perl\
67         libunix-syslog-perl\
68         libyaz-dev\
69         postgresql-client-9.3\
70         libsoap-lite-perl\
71         libtest-warn-perl\
72         libparse-recdescent-perl\
73         yaz
74
75 export DEB_APACHE_MODS = \
76     cgi\
77     expires\
78     include\
79     proxy\
80     proxy_http\
81     rewrite
82
83 export DEB_APACHE_DISMODS = \
84     deflate
85
86 export DEB_APACHE_DISCONF = \
87     serve-cgi-bin
88
89 export CPAN_MODULES = \
90         Business::CreditCard::Object \
91         Business::OnlinePayment::PayPal \
92         Safe
93
94 export CPAN_MODULES_FORCE = \
95         Business::Stripe \
96         Class::DBI::Frozen::301
97
98 PGSQL_SERVER_DEBS_93 = \
99         $(DEB_PGSQL_COMMON_MODS) \
100         postgresql-9.3 \
101         postgresql-contrib-9.3 \
102         postgresql-plperl-9.3 \
103         postgresql-server-dev-9.3
104
105 # nodejs-legacy creates a symlink for /usr/bin/node -> /usr/bin/nodejs
106 # which is needed by our npm-installed packages
107 DEVELOPER_DEBS = \
108         nodejs-legacy \
109         npm
110
111 PACKAGER_DEBS = \
112         translate-toolkit \
113         python-dev \
114         python-levenshtein \
115         python-polib \
116         python-setuptools \
117         python-simplejson \
118         python-lxml \
119         zip \
120         unzip \
121         nsis
122
123 all:
124         make -f $(DIR)/Makefile.debian install_debs
125         make -f $(DIR)/Makefile.debian test_for_libdbi_pkg
126         make -f $(DIR)/Makefile.common install_cpan
127         make -f $(DIR)/Makefile.common install_cpan_force
128         make -f $(DIR)/Makefile.debian install_js_sm
129         make -f $(DIR)/Makefile.debian debian_sys_config
130
131 install_postgres_server:
132         make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_SERVER_DEBS_93)"
133
134 # note: if/when grunt-cli and bower are available as 
135 # packages, use the packaged versions instead.
136 install_developer:
137         make -f $(DIR)/Makefile.debian DEBS="$(DEVELOPER_DEBS)"
138         npm update
139         npm install -g grunt-cli
140         npm install -g bower
141
142 install_packager:
143         make -f $(DIR)/Makefile.debian DEBS="$(PACKAGER_DEBS)"
144
145 clean:
146         make -f $(DIR)/Makefile.common clean
147         make -f $(DIR)/Makefile.debian clean
148
149 # vim:noet:sw=4:ts=4: